
<div *ngIf="requirementWorkStatus">
    <h2><span jhiTranslate="pcidssApp.requirementWorkStatus.detail.title">Requirement Work Status</span> {{requirementWorkStatus.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="pcidssApp.requirementWorkStatus.status">Status</span></dt>
        <dd>
            <span>{{requirementWorkStatus.status}}</span>
        </dd>
        <dt><span jhiTranslate="pcidssApp.requirementWorkStatus.assignById">Assign By Id</span></dt>
        <dd>
            {{requirementWorkStatus.assignById?.login}}
        </dd>
        <dt><span jhiTranslate="pcidssApp.requirementWorkStatus.assignToId">Assign To Id</span></dt>
        <dd>
            {{requirementWorkStatus.assignToId?.login}}
        </dd>
        <dt><span jhiTranslate="pcidssApp.requirementWorkStatus.pcidssRequirementId">Pcidss Requirement Id</span></dt>
        <dd>
            <div *ngIf="requirementWorkStatus.pcidssRequirementId">
                <a [routerLink]="['/pcidss-requirement', requirementWorkStatus.pcidssRequirementId?.id]">{{requirementWorkStatus.pcidssRequirementId?.id}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'requirement-work-status/'+ requirementWorkStatus.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
